net.i2p.router.web

## Class ReseedHandler

- java.lang.Object
- - net.i2p.router.web.HelperBase
  - - net.i2p.router.web.ReseedHandler

    public class ReseedHandler
    extends HelperBase

Handler to deal with reseed requests.

### Field Summary

### Fields inherited from class net.i2p.router.web.HelperBase

`_context, _out`

### Constructor Summary

Constructors
Constructor and Description
`ReseedHandler()`
`ReseedHandler(RouterContext ctx)`

### Method Summary

Methods
`void` `requestReseed()`
`void` `setReseedNonce(String nonce)`

### Methods inherited from class net.i2p.router.web.HelperBase

`_, _, _, _x, ngettext, setContextId, storeWriter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReseedHandler

    public ReseedHandler()

#### ReseedHandler

    public ReseedHandler(RouterContext ctx)

### Method Detail

#### setReseedNonce

    public void setReseedNonce(String nonce)

#### requestReseed

    public void requestReseed()